EDITING DELEGATE: shouldBeginEditingInDOMRange:range from 0 of DIV > BODY > HTML > #document to 1 of DIV > BODY > HTML > #document
EDITING DELEGATE: webViewDidBeginEditing:WebViewDidBeginEditingNotification
EDITING DELEGATE: webViewDidChangeSelection:WebViewDidChangeSelectionNotification
EDITING DELEGATE: shouldChangeSelectedDOMRange:range from 0 of UL > DIV > BODY > HTML > #document to 0 of UL > DIV > BODY > HTML > #document toDOMRange:range from 0 of DIV > DIV > BODY > HTML > #document to 0 of DIV > DIV > BODY > HTML > #document affinity:NSSelectionAffinityDownstream stillSelecting:FALSE
EDITING DELEGATE: webViewDidChangeSelection:WebViewDidChangeSelectionNotification
EDITING DELEGATE: webViewDidChange:WebViewDidChangeNotification
EDITING DELEGATE: shouldChangeSelectedDOMRange:range from 3 of #text > B > DIV > DIV > BODY > HTML > #document to 3 of #text > B > DIV > DIV > BODY > HTML > #document toDOMRange:range from 3 of #text > B > DIV > DIV > BODY > HTML > #document to 3 of #text > B > DIV > DIV > BODY > HTML > #document affinity:NSSelectionAffinityDownstream stillSelecting:FALSE
EDITING DELEGATE: webViewDidChangeSelection:WebViewDidChangeSelectionNotification
EDITING DELEGATE: webViewDidChange:WebViewDidChangeNotification
layer at (0,0) size 800x600
  RenderView at (0,0) size 800x600
layer at (0,0) size 800x600
  RenderBlock {HTML} at (0,0) size 800x600
    RenderBody {BODY} at (8,8) size 784x576
      RenderBlock {P} at (0,0) size 784x40
        RenderText {#text} at (0,0) size 768x39
          text run at (0,0) width 768: "This tests deletion when the caret is in an empty list item at the beginning of the document. It also makes sure that the style"
          text run at (0,20) width 232: "inside the empty list item is retained. "
          text run at (232,20) width 103: "You should see '"
        RenderInline {B} at (0,0) size 21x19
          RenderText {#text} at (335,20) size 21x19
            text run at (335,20) width 21: "foo"
        RenderText {#text} at (356,20) size 251x19
          text run at (356,20) width 251: "' followed by a list item containing 'bar'."
      RenderBlock {DIV} at (0,56) size 784x56
        RenderBlock {DIV} at (0,0) size 784x20
          RenderInline {B} at (0,0) size 21x19
            RenderText {#text} at (0,0) size 21x19
              text run at (0,0) width 21: "foo"
        RenderBlock {UL} at (0,36) size 784x20
          RenderListItem {LI} at (40,0) size 744x20
            RenderListMarker at (-18,0) size 7x19: bullet
            RenderText {#text} at (0,0) size 20x19
              text run at (0,0) width 20: "bar"
caret: position 3 of child 0 {#text} of child 0 {B} of child 0 {DIV} of child 2 {DIV} of body
